com.singularsys.jep.misc.functions

## Enum Case.NullBehaviour

- java.lang.Object
- - java.lang.Enum<Case.NullBehaviour>
  - - com.singularsys.jep.misc.functions.Case.NullBehaviour

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Case.NullBehaviour>
  Enclosing class:
    Case

      public static enum Case.NullBehaviour
      extends java.lang.Enum<Case.NullBehaviour>

  Action to take if first argument is null.
  Since:
    3.5

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ERROR` Generate an IllegalParameterException
    `RETURN_NULL` Returns null
    `TEST_ARG` Tests if any case is null, return corresponding argument

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Case.NullBehaviour` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Case.NullBehaviour[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ERROR

          public static final Case.NullBehaviour ERROR

      Generate an IllegalParameterException

    - #### RETURN_NULL

          public static final Case.NullBehaviour RETURN_NULL

      Returns null

    - #### TEST_ARG

          public static final Case.NullBehaviour TEST_ARG

      Tests if any case is null, return corresponding argument

  - ### Method Detail

    - #### values

          public static Case.NullBehaviour[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Case.NullBehaviour c : Case.NullBehaviour.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Case.NullBehaviour valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2018 Singular Systems http://www.singularsys.com/jep